org.eclipse.viatra.query.runtime.rete.util

## Enum Options.BuilderMethod

- java.lang.Object
- - java.lang.Enum<Options.BuilderMethod>
  - - org.eclipse.viatra.query.runtime.rete.util.Options.BuilderMethod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Options.BuilderMethod>
  Enclosing class:
    Options

      public static enum Options.BuilderMethod
      extends java.lang.Enum<Options.BuilderMethod>

  No Reference:

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEGACY`
    `PSYSTEM_BASIC_LINEAR`
    `PSYSTEM_QUASITREE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IQueryPlannerStrategy` | `layoutStrategy(IQueryBackendContext bContext, IQueryBackendHintProvider hintProvider)`
    `static Options.BuilderMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Options.BuilderMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEGACY

          public static final Options.BuilderMethod LEGACY

    - #### PSYSTEM_BASIC_LINEAR

          public static final Options.BuilderMethod PSYSTEM_BASIC_LINEAR

    - #### PSYSTEM_QUASITREE

          public static final Options.BuilderMethod PSYSTEM_QUASITREE

  - ### Method Detail

    - #### values

          public static Options.BuilderMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Options.BuilderMethod c : Options.BuilderMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Options.BuilderMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### layoutStrategy

          public IQueryPlannerStrategy layoutStrategy(IQueryBackendContext bContext,
                                                      IQueryBackendHintProvider hintProvider)

      Since:
        1.5